@import url('https://fonts.googleapis.com/css2?family=Doto:wght@100..900&display=swap');

:root {
    --bg-color: black;
    --max-width: 32rem;
    --width-cards: 100%;
    --white-bg: rgb(242, 244, 246);
    --border-radius: 0.5rem;
    --gray-color: rgb(113, 115, 115);
    --transition: 0.1s all ease-in;
    --box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    --main-bg: rgb(245, 245, 245);
}


main{
    padding: 8em 0;
    text-align: center;
    color: var(--bg-color);
}
main h1{
    font-size: 2.5em;
    line-height: 2.5em;
}

.container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 99vw;
    margin: auto;
    gap: 3em 0;
}
.allProductContainer img{
    width: 100%;
}
.container img{
    transition: 0.2s ease;
}
.productImg img:hover{
    scale: 1.1;
}

.productContainer img{
    width: 80%;
}

.productCard{
    width: 19vw;
    position: relative;
    z-index: 11;
    cursor: pointer;
}


.productContainer .productCard{
    width: 25vw;
}


@media(max-width: 786px){
    .allProductContainer .productCard{
        width: 40vw;
    }
    .allProductContainer{
        justify-content: space-around;
    }

    .productContainer .productCard{
        width: 100vw;
    }
}